Subject: bug#2643: 23.0.91; request for enhancement?

From: Kevin Rodgers <[email-masked]>
Date: Thu, 12 Mar 2009 20:40:55 -0600

Peter Dyballa wrote:
> Hello!
> 
> OpenOffice can load extension files with the file name extension .oxt, 
> which are PKzip files, starting with PK^C^D. Dired-mode's y tells:
> 
>     FileName.oxt: Zip archive data, at least v2.0 to extract
> 
> When I try to view it with v from dired-mode, GNU Emacs displays mostly 
> binary data. "Auto-Compression minor mode (no indicator)" is reported to 
> be on, though. Hard-linking it to file.zip allows me to do all the 
> things an archive-mode buffer allows. It also works with a hard-link 
> file.oxt.zip.

So it's just a matter of handling the .oxt extension the same as .zip?

(add-to-list 'auto-mode-alist '("\\.oxt\\'" . archive-mode))
(add-to-list 'auto-mode-alist '("\\.OXT\\'" . archive-mode))

-- 
Kevin Rodgers
Denver, Colorado, USA